Loading...
Searching...
No Matches
gtsam::Scenario Class Referenceabstract

## Detailed Description

Simple trajectory simulator.

Inheritance diagram for gtsam::Scenario:

## Public Member Functions

virtual | ~Scenario ()
| virtual destructor
virtual Pose3 | pose (double t) const =0
| pose at time t
virtual Vector3 | omega_b (double t) const =0
| angular velocity in body frame
virtual Vector3 | velocity_n (double t) const =0
| velocity at time t, in nav frame
virtual Vector3 | acceleration_n (double t) const =0
| acceleration in nav frame
Rot3 | rotation (double t) const
NavState | navState (double t) const
Vector3 | velocity_b (double t) const
Vector3 | acceleration_b (double t) const

## Member Function Documentation

## acceleration_n()

virtual Vector3 gtsam::Scenario::acceleration_n | ( | double | t | ) | const

pure virtual

acceleration in nav frame

Implemented in gtsam::AcceleratingScenario, and gtsam::ConstantTwistScenario.

## omega_b()

virtual Vector3 gtsam::Scenario::omega_b | ( | double | t | ) | const

pure virtual

angular velocity in body frame

Implemented in gtsam::AcceleratingScenario, and gtsam::ConstantTwistScenario.

## pose()

virtual Pose3 gtsam::Scenario::pose | ( | double | t | ) | const

pure virtual

pose at time t

Implemented in gtsam::AcceleratingScenario, and gtsam::ConstantTwistScenario.

## velocity_n()

virtual Vector3 gtsam::Scenario::velocity_n | ( | double | t | ) | const

pure virtual

velocity at time t, in nav frame

Implemented in gtsam::AcceleratingScenario, and gtsam::ConstantTwistScenario.

The documentation for this class was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/navigation/Scenario.h